java.lang.management

## Class LockInfo

- java.lang.Object
- - java.lang.management.LockInfo

- Direct Known Subclasses:
    MonitorInfo

      public class LockInfo
      extends Object

  Information about a lock. A lock can be a built-in object monitor, an ownable synchronizer, or the `Condition` object associated with synchronizers.

  An ownable synchronizer is a synchronizer that may be exclusively owned by a thread and uses `AbstractOwnableSynchronizer` (or its subclass) to implement its synchronization property. `ReentrantLock` and `ReentrantReadWriteLock` are two examples of ownable synchronizers provided by the platform.

  #### MXBean Mapping

  `LockInfo` is mapped to a `CompositeData` as specified in the type mapping rules of MXBeans.
  Since:
    1.6
  See Also:
    `AbstractOwnableSynchronizer`, `Condition`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockInfo(String className, int identityHashCode)` Constructs a `LockInfo` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Returns the fully qualified name of the class of the lock object.
    `int` | `getIdentityHashCode()` Returns the identity hash code of the lock object returned from the `System.identityHashCode(java.lang.Object)` method.
    `String` | `toString()` Returns a string representation of a lock.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockInfo

          @ConstructorProperties(value={"className","identityHashCode"})
          public LockInfo(String className,
                                             int identityHashCode)

      Constructs a `LockInfo` object.
      Parameters:
        `className` - the fully qualified name of the class of the lock object.
        `identityHashCode` - the `identity hash code` of the lock object.

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Returns the fully qualified name of the class of the lock object.
      Returns:
        the fully qualified name of the class of the lock object.

    - #### getIdentityHashCode

          public int getIdentityHashCode()

      Returns the identity hash code of the lock object returned from the `System.identityHashCode(java.lang.Object)` method.
      Returns:
        the identity hash code of the lock object.

    - #### toString

          public String toString()

      Returns a string representation of a lock. The returned string representation consists of the name of the class of the lock object, the at-sign character `@', and the unsigned hexadecimal representation of the identity hash code of the object. This method returns a string equals to the value of:

      >      lock.getClass().getName() + '@' + Integer.toHexString(System.identityHashCode(lock))

      where `lock` is the lock object.
      Overrides:
        `toString` in class `Object`
      Returns:
        the string representation of a lock.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.